Using Temporary Track point in autocad

Using 'Temporary Track point' in autocad or Zwcad 

Quite a few ex Autocad users may be missing the 'From' snap and the 'Mid2points' snap. Well, the 'from' snap is easy enough (For non-Autocadders: it snaps to a point a relative distance from another point.). 

Let's say for example, you want to start a circle of radius 5mm, '10,25' mm away from the endpoint of existing rectangle:


1. Click on RECTANGLE icon ( or type rec)
2. [Type, as shown in italics, at the comandline] 2Point/3Point/Ttr(tan tan radius)/Arc/Multiple/ <Center of circle >: tt
3. Select temporary track point: <i>click on the selected 'reference' endpoint (of rectangle).
4. 2Point/3Point/Ttr(tan tan radius)/Arc/Multiple/<Center of circle>: @10,25
5. Diameter/<Radius>: 5

read more: 
Temporary Track point

temporary tracking point autocad



You may also like: 
How to use object snap to draw a circle in rectangle
dwg to dxf
dxf vs dwg
import dxf

autocad insert field

Does anyone knows how to "Insert Field" in autocad?  Like how it works in microsoft word, automate a field, like for example date, filename, author, etc

find the answer:
how to insert field in autocad

You may also like:
1. How to  update dimension of current drawing?
2. How to display hidden attributes in AutoCAD?
3. How to explode block keep attributes text in CAD?

how to rename multiple layers in autocad?


how can i rename all layers to start with a common alphabet in autocad or zwcad?
else how can i rename multiple layers in autocad or zwcad?

find the solution from:
how to rename multiple layers in autocad


You may also like:
Rename layers and/or combine entities on those layers onto a new layer lisp

Using autocad cal command

using autocad cal command 

CAL allowed us to perform mathematical and geometric functions inside and outside of commands. 

read more: Using autocad cal command


You may also like:
1. How to use autocad calculate area of irregular polygon?
2. lisp routine adjustment, use lisp routine to calculate area of polyline in autocad
3. How to calculate area of irregular shape in autocad? area of multiple objects?

Some lisp routines for autocad beginners

Some lisp routines for autocad or zwcad beginners

;;VIEW COMMANDS (vs, vr, vst, vrt) 
(defun c:vs() ;;Saves view (of name to be supplied by user). 
(command "-v" "s")) 
(defun c:vr() ;;Use this to restore Named View created by 'vs' (Type in the name supplied earlier) 
(command "-v" "r")) 
(defun c:vst() ;;Creates view called 'temp'. 
(command "-v" "s" "temp")) 
(defun c:vrt() ;;Restores view "temp" 
(command "-v" "r" "temp")) 

;;ZOOM COMMANDS (z7, z12, ze, za, zp) 
(defun c:z7() ;;Zooms (out) 0.7x 
(command "zoom" ".7x")) 
(defun c:z12() ;;zooms (in) 1.2x 
(command "zoom" "1.2x")) 
(defun c:ze() ;;Zooms extents, then zooms out 0.9x 
(command "zoom" "e" "zoom" ".9x")) 
(defun c:za() ;;Zoom all 
(command "zoom" "all" "zoom" ".9x")) 
(defun c:zp() ;;Zoom previous 
(command "zoom" "p")) 

;;VPORT COMMANDS (vps, vpr, vps1, vpst, , vpr1, vprt) 
(defun c:vps() ;;Save vport with whatever name you want. Use 'vps' to restore 
(command "-vports" "s")) 
(defun c:vpr() ;;Use this to restore the vport created with prev command. 
(command "-vports" "r")) 
(defun c:vps1() ;;Saves viewport '1' 
(command "-vports" "s" "1")) 
(defun c:vpst() ;;Saves viewpot 'temp' 
(command "-vports" "s" "temp")) 
(defun c:vpr1() ;;Restores vport '1' 
(command "-vports" "r" "1")) 
(defun c:vprt() ;;restores viewport 'temp' 
(command "-vports" "r" "temp")) 


Read more: 
Some lisp routines for autocad beginners




You may also like:
1. Lisp routine to convert objects from pdf drawing into Text or Mtext
2. How to load AutoCAD LISP application on startup? how to load vba startup?
3. use autocad lisp to convert line to polyline, or convert arc to polyline
4. Encrypt Lisp








How to change units of measurement in autocad?

how to change units of measurement in cad? How to change units of measurement in ZWCAD or AutoCAD? What is CAD unit settings for current drawing. Is it metric or English? Does it use feet or inches? How to change cad measurement? For example, change drawing units to millimeter from inches? How to find out the unit setting of drawing created by ZWCAD

The solution is to use command MEASUREMENT

Check the detail steps:
how to change units of measurement in cad?


You may also like:
1. Units Setting, how to automatically set the distance precision to three decimal
2. Control Export Units

pdf to dwg? convert pdf to dwg without AutoCAD? pdf to dwg converter

How to convert a PDF file to DWG without AutoCAD? Is there any free online converter? 

Find more:
pdf to dwg? convert pdf to dwg without AutoCAD? pdf to dwg converter


You may also like:
1. How to print a multi-page PDF from dwg drawing?
2. How can I convert PDF to DWG, need to transform PDF to CAD DWG drawing?
3. How to convert AutoCAD DWG to PDF?
4. Batch plotting in PDF


PDF definition from Wikipedia:

Portable Document Format (PDF) is a file format used to represent documents in a manner independent of application software, hardware, and operating systems.[1] Each PDF file encapsulates a complete description of a fixed-layout flat document, including the text, fonts, graphics, and other information needed to display it. In 1991, Adobe Systems co-founder John Warnock outlined a system called "Camelot"[2] that evolved into PDF.
While Adobe Systems made the PDF specification available free of charge in 1993, PDF remained a proprietary format, controlled by Adobe, until it was officially released as an open standard on July 1, 2008, and published by the International Organization for Standardization as ISO 32000-1:2008.[3][4] In 2008, Adobe published a Public Patent License to ISO 32000-1 granting royalty-free rights for all patents owned by Adobe that are necessary to make, use, sell and distribute PDF compliant implementations.[5]


 

convert .plt to .dwg file, convert .plt to .dwg autocad

I have a lot of plt files, how can I convert plt file to dwg file in autocad, is there any function available to do that? 


First of all, you need to make sure that your plt files were plotted with HPGL Standard, i.e. they were plotted by Generic SHPGL plotter or Generic LHPGL plotter in AutoCAD. And then you can use PLT2DWG function to convert the PLT files to DWG drawings.

Find more: 

You may also like:
3. How to save DWG to BMP?



plt meaning from Wikipedia:
HP-GL (Hewlett-Packard Graphics Language; often written as HPGL) is a printer control language created by Hewlett-Packard (HP). HP-GL was the primary printer control language used by HP plotters. It later became a standard for almost all plotters. Hewlett-Packard's printers also usually support HPGL in addition to PCL.

Use AutoCAD OOPS command to bring the lasted deleted object back

Did you guys know about the OOPS command in AutoCAD?? A lot of times it is better to use the OOPS command to "undelete", instead of UNDO (or U or Ctl+Z) in AutoCAD. For example, when a lot of entities are one over the another, and you want to stretch/rotate...a few. 

Find more: 
Use AutoCAD OOPS command to bring the lasted deleted object back


You may also like:
1. Use MRedo to apply multiple redo in CAD, to reverse several undo
2. How can I delete duplicate lines/circles/arcs
3. Where is OVERKILL autocad command? How to delete duplicate and overlapping lines?